BulletHitEvent

Package | Class | Use | Tree | Serialized | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode
Class BulletHitEvent

    java.lang.Object
      robocode.Event
          robocode.BulletHitEvent

All Implemented Interfaces:
  Comparable

public class BulletHitEvent
extends Event

This event is sent to `onBulletHit` when one of your bullets hits another robot.

Constructor Summary
`BulletHitEvent(String name, double energy, Bullet bullet)` Called by the game to create a new BulletHitEvent.

Method Summary
`Bullet` | `getBullet()` Returns the Bullet that hit.
`double` | `getEnergy()` Returns the remaining energy of the robot you hit (after the damage done by your bullet).
`double` | `getLife()` Deprecated. use getEnergy()
`String` | `getName()` Returns the name of the robot you hit.
`double` | `getRobotLife()` Deprecated. use getEnergy()
`String` | `getRobotName()` Deprecated. use getName()

Methods inherited from class robocode.Event
`compareTo, getPriority, getTime, setPriority, setTime`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BulletHitEvent

    public BulletHitEvent(String name,
                          double energy,
                          Bullet bullet)

  Called by the game to create a new BulletHitEvent.

Method Detail

### getBullet

    public Bullet getBullet()

  Returns the Bullet that hit.

  Returns:
    Bullet

### getEnergy

    public double getEnergy()

  Returns the remaining energy of the robot you hit (after the damage done by your bullet).

  Returns:
    energy of the robot you hit

### getLife

    public double getLife()

  Deprecated. use getEnergy()

### getName

    public String getName()

  Returns the name of the robot you hit.

  Returns:
    the name of the robot you hit.

### getRobotLife

    public double getRobotLife()

  Deprecated. use getEnergy()

### getRobotName

    public String getRobotName()

  Deprecated. use getName()

Package | Class | Use | Tree | Serialized | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD